## dirdiff 2.1

=== Makefile ===
# Makefile for dirdiff
#
# In fact all we have to make is the libfilecmp.so.0.0 library.

BINDIR=$(DESTDIR)/usr/bin
LIBDIR=$(DESTDIR)/usr/lib
INSTALL=install

# You may need to change the -I arguments depending on your system
CFLAGS=-O3 -I/usr/include/tcl8.3/ -I/usr/include/tcl

all:	libfilecmp.so.0.0

libfilecmp.so.0.0: filecmp.c
	$(CC) $(CFLAGS) -shared -o $@ filecmp.c

install: dirdiff libfilecmp.so.0.0
	$(INSTALL) -c dirdiff $(BINDIR)
	$(INSTALL) -c libfilecmp.so.0.0 $(LIBDIR)

clean:
	rm -f libfilecmp.so.0.0

=== debian/changelog ===
dirdiff (2.1-9) unstable; urgency=medium

  * New Maintainer. (Closes: #1008029)
  * debian/control:
      - Updated Maintainer field with my name and email.
  * dedian/copyright:
      - Include name new maintainer Josensilson Ferreira da Silva.
  * debian/patches:
      - Created 011_dirdiff_vimdiff.patch.
        Makes it possible to see on-way diffs in external
        viewers(vimdiff). If set, the configured external
        viewer is also  used for n-way differences. Thanks
        Tomas Pospisek <tpo_deb@sourcepole.ch>. (Closes: #910388)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 02 Jun 2022 21:03:17 -0300

dirdiff (2.1-8) unstable; urgency=medium

  * QA upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control: set 'Multi-Arch: same'.
  * debian/copyright:
      - Added the email address for the upstream.
      - Updated packaging copyright data.
  * debian/dirdiff.lintian-overrides:
      - Renamed to lintian-overrides.
      - Added an explanation about no symbol file presence.
      - Added a new override about the symbol file.
  * debian/Notes: renamed to README.source.
  * debian/patches:
      - Added a header to each patch.
      - Added a numeric prefix to all patch names.
      - Added the suffix 'patch' to some patches.
      - 010_add-cppflags.patch: created to improve the GCC hardening.
  * debian/rules: using execute_after_dh_install instead of
    override_dh_install.
  * debian/tests/control: created to provide a trivial CI test.
  * debian/upstream/metadata: created.

  [ Luciano Bello ]
  * orphaning

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 21 Mar 2022 13:07:15 -0300

dirdiff (2.1-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add watch file
  * Create repository on Salsa and add Vcs fields
  * Upgrade to 3.0 source format
    Closes: #1007308
  * DEP5
  * Short dh Build system
    Closes: #870732, #930820, #930821
  * debhelper 13
  * Fix compiler warnings wrt unistd functions (read, close)
    Thanks for the patch to (Tomas Pospisek)
    Closes: #910386
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Wed, 16 Mar 2022 20:43:09 +0100

dirdiff (2.1-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to Tcl/Tk 8.6 as 8.5 is planned to be removed from Debian
    (closes: #888678).
  * Define the USE_INTERP_RESULT macro to enable the deprecated result
    field for the Tcl_Interp structure.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 29 Apr 2018 10:19:39 +0300

dirdiff (2.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Depend on tk8.5 (Closes: #771776)
  * debian/patches/05_wish-tk8.5.patch: Replace wish8.6 with wish8.5 and
    really use Tk 8.5. libfilecmp is still linked against libtcl8.5 after all.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Jan 2015 23:57:44 +0100

dirdiff (2.1-7) unstable; urgency=medium

  * patch in the correct rule in debian/rules
  * Menu accelerators added. Thanks Tomas Pospisek. Closes: #716897

 -- Luciano Bello <luciano@debian.org>  Mon, 25 Aug 2014 20:48:21 +0200

dirdiff (2.1-6) unstable; urgency=high

  * Using tk8.5. Closes: #725686 (RC bug).
  * Standards-Version: 3.9.5
  * Hardening flags added.

 -- Luciano Bello <luciano@debian.org>  Sun, 24 Aug 2014 19:16:04 +0200

dirdiff (2.1-5) unstable; urgency=low

  * New maintainer. Closes: #466481.
  * New Standards-Version.
  * debhelper version 7

 -- Santiago Sánchez Paz <sanchezpaz@gmail.com>  Mon, 27 Jul 2009 15:52:36 +0200

dirdiff (2.1-4) unstable; urgency=low

  * debian/control:
  * debian/patches/shared-object.patch
  * debian/patches/tcl-version.patch: Build using tk 8.5.
    Closes: #475318.

 -- Steve M. Robbins <smr@debian.org>  Thu, 10 Apr 2008 14:14:27 -0500

dirdiff (2.1-3) unstable; urgency=low

  * debian/patches/ignore-svn: New.  Ignore .svn directories (thanks,
    Tomas Pospisek).  Closes: #470778.

 -- Steve M. Robbins <smr@debian.org>  Fri, 14 Mar 2008 03:03:40 -0500

dirdiff (2.1-2) unstable; urgency=low

  * debian/patches/funky-chars.patch: New.  Take care to quote filenames
    (thanks, kostix).  Closes: #466034.

  * debian/rules: Use quilt to manage patches.  Put DH_COMPAT level into
    debian/compat; switch from level 3 to level 5.  Don't ignore errors in
    clean target (remove lintian warning).

  * debian/control: Depend on quilt.  Update debhelper dependency to
    version 5.  Set Standards-Version to 3.7.3 (no changes).  Add
    Homepage.  Remove period from end of short description (to remove
    lintian warning).

  * Makefile: Revert to upstream 2.1.
  * debian/patches/tcl-version.patch: New.  Patch to Makefile that uses
    /usr/include/tcl8.4 instead of .../8.3.
  * debian/patches/shared-object.patch: New.  Patch to Makefile to build
    shared object using -fPIC, soname libfilecmp.so.0.0, and link against
    -ltcl8.4.

 -- Steve M. Robbins <smr@debian.org>  Mon, 25 Feb 2008 02:17:02 -0600

dirdiff (2.1-1) unstable; urgency=low

  * New upstream version.

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 Jun 2005 00:41:58 -0400

dirdiff (2.0-1) unstable; urgency=low

  * New upstream version.  Closes: #298892.

 -- Steve M. Robbins <smr@debian.org>  Sun, 13 Mar 2005 23:28:46 -0500

dirdiff (1.6-4) unstable; urgency=low

  * debian/rules: Explicitly link with libtcl8.4.  Closes: #262017.

 -- Steve M. Robbins <smr@debian.org>  Sun,  1 Aug 2004 10:10:24 -0400

dirdiff (1.6-3) unstable; urgency=low

  * Makefile (CFLAGS): Select tcl8.4 directory with -I flag.
    Closes: #215323.

 -- Steve M. Robbins <smr@debian.org>  Sun, 12 Oct 2003 10:45:50 -0400

dirdiff (1.6-2) unstable; urgency=low



=== debian/control ===
Source: dirdiff
Section: utils
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: debhelper-compat (= 13), tk8.6-dev
Standards-Version: 4.6.0
Homepage: https://samba.org/ftp/paulus/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/dirdiff
Vcs-Git: https://salsa.debian.org/debian/dirdiff.git

Package: dirdiff
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tk8.6
Description: Display and merge changes between two directory trees
 Dirdiff can handle up to 5 trees. It displays a main window with a
 list of the files which are different between the trees, with colored
 squares to indicate the relative ages of the versions. A menu allows
 you to display the differences between any two of the versions in
 another window. Another menu allows you to copy the file from one
 tree to another.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_install:
	mkdir -p debian/$(DEB_SOURCE)/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/$(DEB_SOURCE)/usr/lib/*.so* debian/$(DEB_SOURCE)/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/tests/control ===
Test-Command: xvfb-run -a dirdiff -h
Depends: @, xauth, xvfb
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
https://www.samba.org/ftp/paulus/ @PACKAGE@-(\d\S+)\.tar\.(?:bz1|gz|xz)
